Package org.eclipse.birt.report.model.api

# Class GraphicMasterPageHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.MasterPageHandle
org.eclipse.birt.report.model.api.GraphicMasterPageHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IGraphicMaterPageModel`, `org.eclipse.birt.report.model.elements.interfaces.IMasterPageModel`

public class GraphicMasterPageHandle extends MasterPageHandle implements org.eclipse.birt.report.model.elements.interfaces.IGraphicMaterPageModel
Represents a graphic master page in the design. A graphic master page describes a physical page "decoration". The decoration can include simple headers and footers, but can also include content within the left and right margins, as well as watermarks under the content area. The page can contain multiple columns. In a multi-column report, the content area is the area inside the margins defined by each column.

Note that each page has only one content area, though that content area can be divided into multiple columns. That is, a page has one content area. If a page has multiple columns, the column layout is overlayed on top of the content area.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IGraphicMaterPageModel

`CONTENT_SLOT`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IMasterPageModel

`A3_HEIGHT, A3_WIDTH, A4_HEIGHT, A4_WIDTH, A5_HEIGHT, A5_WIDTH, BOTTOM_MARGIN_PROP, COLUMN_SPACING_PROP, COLUMNS_PROP, HEIGHT_PROP, LEFT_MARGIN_PROP, ON_PAGE_END_METHOD, ON_PAGE_START_METHOD, ORIENTATION_PROP, RIGHT_MARGIN_PROP, STYLE_PROP, TOP_MARGIN_PROP, TYPE_PROP, US_LEDGER_HEIGHT, US_LEDGER_WIDTH, US_LEGAL_HEIGHT, US_LEGAL_WIDTH, US_LETTER_HEIGHT, US_LETTER_WIDTH, US_SUPER_B_HEIGHT, US_SUPER_B_WIDTH, WIDTH_PROP`

## Constructor Summary

Constructors
Constructor
Description
`GraphicMasterPageHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a handle with the given design and the design element.

## Method Summary

Modifier and Type
Method
Description
`SlotHandle`
`getContent()`
Returns the slot handle for the content.

### Methods inherited from class org.eclipse.birt.report.model.api.MasterPageHandle

`getBottomMargin, getColumnCount, getColumnSpacing, getEffectiveHeight, getEffectiveWidth, getHeight, getLeftMargin, getOnPageEnd, getOnPageStart, getOrientation, getPageHeight, getPageType, getPageWidth, getRightMargin, getSize, getTopMargin, getWidth, setColumnCount, setHeight, setHeight, setOnPageEnd, setOnPageStart, setOrientation, setPageType, setWidth, setWidth`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GraphicMasterPageHandle

public GraphicMasterPageHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a handle with the given design and the design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getContent

public SlotHandle getContent()
Returns the slot handle for the content. The items in this slot appear on the page itself, usually as headers, footers, margins, watermarks, etc.

Returns:
  a handle to the content slot
See Also:
  - `SlotHandle`